Skip to content

updateSalesRFQStatus

WRITE

Update sales r f q status.

POST /api/v1/sales/updateSalesRFQStatus
curl -X POST '<your-host>/api/v1/sales/updateSalesRFQStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft",
    "noQuoteReasonId": "string",
    "assignee": "string"
  }'

Parameters

ParameterType
"Draft""Ready for Quote""Quoted""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Ready for Quote",
        "Quoted",
        "Closed"
      ]
    },
    "noQuoteReasonId": {
      "type": [
        "string",
        "null"
      ]
    },
    "assignee": {
      "type": "null"
    }
  },
  "required": [
    "id",
    "status",
    "noQuoteReasonId",
    "assignee"
  ]
}